Subject: bug#48000: closed (Re: [bug#48000] GStreamer security updates)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Apr 2021 06:02:02 +0000

Your bug report

#48000: GStreamer security updates

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48000: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48000] GStreamer security updates
From: Leo Famulari <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Apr 2021 02:01:28 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Apr 25, 2021 at 10:45:53AM +0200, Maxime Devos wrote:
> $ guix refresh --list-dependent gst-plugins-good
> > Building the following 27 packages would ensure 44 dependent packages are rebuilt:
> > [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
> > [email-masked] [email-masked] [email-masked] [email-masked]
> > [email-masked] [email-masked] [email-masked] [email-masked]
> > [email-masked] [email-masked] [email-masked] [email-masked]
> > [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
> > [email-masked] [email-masked] [email-masked] [email-masked]
> 
> A selection:
> rhythmbox (a music playing application), nomad (a browser, maybe it supports video playing)
> 
> For more packages:
> $ guix refresh --list-dependent gst-plugins-base
> > [...]
> 
> A selection:
> rage (music and video player), quadrapassal (a game with sound effects), byzanz (desktop
> recording application)

I tested a few applications and pushed as
32db6f504473c118e875f54c6a08b9c6884a3123

Subject: GStreamer security updates
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sat, 24 Apr 2021 15:12:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Here is a patch series to apply some GStreamer security updates.

I tested that all the packages build. Can you recommend some
applications to test?

Some of the upstream bug reports are still private, but I linked to them
from the patch files anyways.